Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567379 - Document keystone AD/IdM/LDAP integration using Director
Summary: Document keystone AD/IdM/LDAP integration using Director
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Martin Lopes
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 21:56 UTC by Vagner Farias
Modified: 2018-08-03 01:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-03 01:19:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vagner Farias 2018-04-13 21:56:00 UTC
Description of problem:
Current documentation[0] doesn't show how to configure keystone AD/IdM/LDAP integration through Director and instead instructs the user to manually edit domain configuration files and use crudini to modify existing configuration files.

[0] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/integrate_with_identity_service/


Actual results:
Manual steps are required to configure the overcloud after every stack update. Service outages occur until manual steps are executed.

Expected results:
No manual steps should be required and all configuration should be done using Director templates.


Additional info:
Configuration through Director templates is explained in an existing KCS: https://access.redhat.com/solutions/2988661

Comment 1 Martin Lopes 2018-04-16 03:52:27 UTC
A Director-based integration chapter was added to the OSP12 version of the guide: https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html-single/integrate_with_identity_service/#sec-director-ldap

Checking if this can be applied to earlier releases...

Comment 3 Martin Lopes 2018-08-03 01:19:23 UTC
For OSP12: docs were published here: https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html-single/integrate_with_identity_service/#sec-director-ldap

For OSP11, these are EOL.


Note You need to log in before you can comment on or make changes to this bug.